🏢 PlaceMaker | 25% off for February including new Google Earth data imports! Learn more
  • Instance.move!() and instance.transform!()

    2
    0 Votes
    2 Posts
    105 Views
    Chris FullmerC
    Yes, .move! is great for animations for those reasons. It should not be compared to .transform! though, as they are dissimilar methods. It should be compared only to .transformation = . As that is what the .move! method is acutally doing. Chris
  • RDoc question

    24
    0 Votes
    24 Posts
    785 Views
    Dan RathbunD
    @thomthom said: But I do like the sound of the @tags it has available. Appear to leave more control than plain RDoc. Such as parameter types and return types and version numbering. It's sounding better all the time! Keep us advised.
  • Create toolbar on the fly

    5
    0 Votes
    5 Posts
    251 Views
    Dan RathbunD
    @pout said: Am I correct? Is it not possible to create a toolbar, from in the ruby console, using these commands? The danger is that the console is running inside Object, and you are using local variables (cmd and toolbar.) Any other 'unwrapped' script that afterward uses the same variable names, will make those 'symbols' point to other UI::Command and UI::Toolbar objects, and you will lose access to them. (Ruby will still know what they are, and the command and toolbar should still work. But you will not be able to make any changes, such as changing the tooltip text.) IF that's OK, or your just testing, no harm. But if you want later access to your command or toolbar objects, you will need to keep them in unique variable identifiers. For example, you could store them in a Hash. MyToolbars={'FancyCommand' => cmd, 'PoutTools' => toolbar } Then later on: MyToolbars['FancyCommand'].tooltip="Select object before doing something Fancy!" See this post for more info: http://forums.sketchucation.com/viewtopic.php?f=180&t=15621&p=220266#p219128
  • Quickly rename layers on several components

    5
    0 Votes
    5 Posts
    1k Views
    M
    @gaieus said: Certainly a plugin would be best Gaieus, you do know that my "how to Ruby" section of the tutorial is well underway, don't you? No programming experience required: http://www.MartinRinehart.com/models/tutorial/tutorial_11.html
  • Changing transformation variables

    13
    0 Votes
    13 Posts
    334 Views
    M
    @honoluludesktop said: Hi Martin, I originally posted an application that did some simple transformations, and became interested in the subject. As you know I am a beginner at all of this and while experimenting, I tried to change some values just to see how my components would behaved, failed to do so, and asked for help Fine. I was afraid you overlooked available ways of getting stuff moved / rotated / scaled. I know I did when I started fiddling.
  • How do you execute Ruby API commands in headless mode?

    3
    0 Votes
    3 Posts
    345 Views
    Dan RathbunD
    @advancecoder said: How do you execute Ruby Plugin API commands in headless mode (e.g. not opening the GUI for Google Sketchup Pro)? You Don't. I went 'round and 'round with another guy over at GoogleGroups that thought he could somehow use the engine behind Sketchup (which is Google Intellectual Property,) to write a better GUI and/or integrate it with a debugger. Anyhow, read the thread if your interested: http://groups.google.com/group/sketchupruby/browse_frm/thread/8d93e9408891fa59#
  • SU Menu Font and Size

    7
    0 Votes
    7 Posts
    263 Views
    Dan RathbunD
    @thomthom said: Will need to do some testing. I got an OSX and Linux box... Here's a test page for the SystemColors: http://samples.msdn.microsoft.com/workshop/samples/author/dhtml/colors/sys_colors.htm
  • Sketchup AutoCAD-like command

    6
    0 Votes
    6 Posts
    3k Views
    TIGT
    @pout said: I'll have a look into it. Btw, to insert a second point, is it mandatory to first click to box in which you insert the coordinates? Or can you just type it? You can just type it in as a dimension - the line's vector is take from the current cursor position OR a second-picked point if you have done it. For [] or <> coordinates no need to pick anything after the first point is clicked.
  • Menu.add_item algorithm problem

    11
    0 Votes
    11 Posts
    573 Views
    thomthomT
    Pauline: I split off the last posts Dan and I made. It turned into a separate discussion.
  • DC / Dictionary Interaction

    8
    0 Votes
    8 Posts
    270 Views
    thomthomT
    hm... I need to look into this. Check what happens with my scripts under SU6... Pauline: sorry for going a bit off topic. Maybe it's best if I split these last couple of posts into a new thread? Ok, Pauline & Dan? Edit: Now split of - as you can see.
  • Edge Orientation on a Rectangle

    4
    0 Votes
    4 Posts
    169 Views
    TIGT
    If the rectangle has a face then face.outer_loop.vertices are always listed counterclockwise [right-hand rule]. You can test if a face and its edge are 'reversed?' too...
  • Naming 'Untitled'

    3
    0 Votes
    3 Posts
    145 Views
    M
    @tig said: better you can use Sketchup.open_file("myname.skp") to open that newly made file, with the 'Untitled' one being closed without saving Thanks, TIG. Any way to fire that extra "N" (don't save Untitled) from Ruby?
  • Rotation Check

    3
    0 Votes
    3 Posts
    135 Views
    R
    No, it will not return true in any of those cases. Having said that, if i was less lazy it would be fairly trivial to get it to check for translations and 'skews, scales and rotations' (although not each separately.)
  • Scaling + move!() == ant feast

    9
    0 Votes
    9 Posts
    392 Views
    mitcorbM
    Damn! (notice modifier at end of damn) So much to learn--so little time.
  • Creeping bug (WxSU + SU Tool) SU 7 only

    9
    0 Votes
    9 Posts
    744 Views
    T
    @thomthom said: And the SU developers has said: the Ruby 1.8.0 implementation isn't a standard Ruby packages. Parts has been customized for SU In the thread related to Gem installation Dan compared bit by bit both rubies and they are identical. @thomthom said: which is why I'm very hesitant to change it. I would do that if I would be sure that nothing unexpected occurs, but no-one can predict it.
  • Script to Delete Hidden Objects?

    17
    0 Votes
    17 Posts
    2k Views
    T
    Cheers, TIG -- I d/l'ed your file and put it in the plugins folder, and I'm happy to report it does exactly what it says on the tin!!!
  • How to break out of a Ruby loop?

    7
    0 Votes
    7 Posts
    2k Views
    chrisglasierC
    @thomthom said: ... That's what you mean by breaking out of a loop? Bit confusing since you have the break keyword that actually breaks a loop, while next just skips to the next iteration - which I wouldn't call breaking out of a loop. A bit pedantic perhaps but I am influenced by the API typo thread. You need to break out of the loop before it finishes to start the next iteration. Sometimes you break out to break and sometimes for next, redo or retry. Found these here.
  • Geom::Transformation.new( Vector3d ) resolved!

    8
    0 Votes
    8 Posts
    301 Views
    TIGT
    A you say, the writer of the bounding-box methods used the "classic" approach to describing 3D objects - where Z comes out of the screen = depth and x/y are width/height 'flat on the screen... This goes against every other SUp convention ! It's usual to assume you are looking at the 3D object 'in 3D' where up (Z+) is 'up in the real world = up the screen', and not looking 'from above' as if the 'ground' is the screen's surface
  • Looking for Combine Materials Plugin - materials to 1 canvas

    9
    0 Votes
    9 Posts
    3k Views
    A
    ah! thanks (duh on my part) Make Unique only works with 1 face selected, correct? Is there a plugin or method to do make multiple selections unique at once? (I'm experimenting with these threads) Creating an Arch -- http://forums.sketchucation.com/viewtopic.php?f=18&t=21847 UV Toolkit -- http://forums.sketchucation.com/viewtopic.php?f=323&t=18992
  • Texel dialog

    16
    0 Votes
    16 Posts
    1k Views
    A
    haha -- yes -- good point! I had forgotten about the squared aspect as well

Advertisement